package com.brilliance.isc.mda.dao;

import org.apache.ibatis.annotations.Mapper;
import com.brilliance.isc.bo.Cfacou;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface CfacouMapper {

    int insert(Cfacou record);

    int insertSelective(Cfacou record);

    /*int updateByPrimaryKeySelective(Cfacou record);

    int updateByPrimaryKey(Cfacou record);

    int deleteByPrimaryKey(Cfacou record);

    int deleteByIds(Collection<Object> collection);

    Cfacou selectByPrimaryKey(Cfacou record);*/

    int dyncDelete(Map<String,Object> dyncMap);

    List<Cfacou> dyncRead(Map<String,Object> dyncMap);

    //add
    Cfacou selectByCouPro(Cfacou record);
    //update根据计数器时间数量获取
    int updateByCouPro(Cfacou record);

}